<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<style>
		
	div{
		/*visibility: hidden;*/
	}

	img{

	/*visibility: hidden;*/

	}

	div.salida{
		border: 2px solid black;
		width:100px;
		height:100px;

	

	}

	div.imagenes{
		width:800px;
		height:800px;
	}



	</style>

	<script type="text/javascript">

		/**
		 * coloca las palabras con las que quieres jugar
		 */

		let palabras=["casa","casa","casa","casa","casa","casa","casa","casa","casa","casa"];

		/**
		 * no tocar
		 */

		function escoger(palabra){
			let num=0;
			let palabra_escogida="";

			num=Math.trunc(Math.random()*10);
			palabra_escogida=palabra[num];
			return palabra_escogida;
		}

		function dibujar(palabra,selector) {
			let longitud=0;
			let caja=document.querySelectorAll(selector);

			longitud=palabra.length;

			for(i=0;i<longitud;i++) {

				caja.innerHTML+="<div id='prueba_i'>"+palabra[i]+"</div>";
			}
		}

		function comprobar(letra, palabra) {

		
			for(i=0;i<palabra.length;i++) {
				if(letra==palabra[i]) {
					document.querySelectorAll("#prueba_i").innerHTML.style.visibility = 'visible';
				} else {
					acum=acum+1;
					fallo(acum);

				}
			}

		}


		function fallo(fallos) {

			let imagenes=[];

			for(i=0;i<imagenes.length;i++) {
				imagenes[i]=document.querySelectorAll(".imagen_i");

			}

			switch (fallos) {
				case 1:
					document.querySelectorAll(".uno").style.backgroundImage.visibility = 'visible';
					break;
				case 2:
					document.querySelectorAll(".dos").style.backgroundImage.visibility = 'visible';
					break;
				case 3:
					document.querySelectorAll(".tres").style.backgroundImage.visibility = 'visible';
					break;
				case 4:
					document.querySelectorAll(".cuatro").style.backgroundImage.visibility = 'visible';
					break;
				default:
					alert("Vuelve a intentarlo");
					break;
			}
		

		}

		
		let palabra="", letra="", acum=0;
		palabra=escoger(palabras);
		letra=document.querySelectorAll("#texto").value;
	
		


		


		window.addEventListener("load",function(){

			boton=document.querySelectorAll("#boton");
			
			dibujar(palabra,".salida");	
			boton.addEventListener("click",function(){
			comprobar(letra, palabra);	
		});
		});


		
		
		
		

	</script>
</head>
<body>

<div class="imagenes">

	<div class="imagen_i" class="uno"><img src="1.gif"></div>
	<div class="imagen_i" class="dos"><img src="2.gif"></div>
	<div class="imagen_i" class="tres" ><img src="3.gif"></div>
	<div class="imagen_i" class="cuatro"><img src="4.gif"></div>

	
</div>

	<div class="salida">
	
	</div>
	
	<input type="text" id="texto"/>
	<input type="button" value="Enviar"id="boton">
</body>
</html>